﻿using System;
using System.Runtime.Serialization;

namespace Com.Bocom.OpenApi
{
    namespace Response
    {
        [Serializable]
        [DataContract]
        public class IntegralExchangeCheckResponseV1 : BocomResponse
        {
            //订单编号
            [DataMember]
            public string order_no { get; set; }

            //兑换规则   =兑换金额:信用卡积分
            [DataMember]
            public string exchange_rules { get; set; }

            //所用积分
            [DataMember]
            public string credit_card_points { get; set; }

            //换领ISA积分
            [DataMember]
            public string isa_points { get; set; }

            //交易时间
            [DataMember]
            public string date { get; set; }

            //信用卡号
            [DataMember]
            public string card_no { get; set; }

            //交行交易编号
            [DataMember]
            public string trade_no { get; set; }

            //成功标志
            [DataMember]
            public string flag { get; set; }

            public override string ToString()
            {
                return "order_no: " + order_no + " " + "exchange_rules: " + exchange_rules + " "
                       + "credit_card_points: " + credit_card_points + " " + "isa_points: " + isa_points + " "
                       + "card_no: " + card_no + " " + "date: " + date + " " + "trade_no: " + trade_no + " "
                       + "flag: " + flag + " ";
            }
        }
    }
}