﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.Bocom.OpenApi
{
    /// <summary>
    /// 2.4 主扫聚合码接口@MPNG-CIPPMPNG210001
    /// </summary>
    public class MPNG210001ResponseV1 : BocomResponse
    {
        ///// <summary>
        ///// 返回访问状态字 S-成功 F-失败
        ///// </summary>
        //public string biz_state { get; set; }

        ///// <summary>
        ///// 返回码
        ///// </summary>
        //public string rsp_code { get; set; }

        ///// <summary>
        ///// 逻辑异常返回信息
        ///// </summary>
        //public string rsp_msg { get; set; }

        public RspHead rsp_head { get; set; }

        public RspBody rsp_body { get; set; }


        public class RspHead
        {
            /// <summary>
            /// 交易标识
            /// </summary>
            public string trans_code { get; set; }

            /// <summary>
            /// 返回码
            /// </summary>
            public string response_code { get; set; }

            /// <summary>
            /// 交易状态 P-处理中  F-失败  S-成功 
            /// </summary>
            public string response_status { get; set; }

            /// <summary>
            /// 响应时间 
            /// </summary>
            public string response_time { get; set; }

            /// <summary>
            /// 返回码描述 
            /// </summary>
            public string response_msg { get; set; }
        }

        public class RspBody
        {
            /// <summary>
            /// 门店识别号
            /// </summary>
            public string shop_id { get; set; }

            /// <summary>
            /// 商户交易编号
            /// </summary>
            public string pay_mer_tran_no { get; set; }

            /// <summary>
            /// 收款二维码文本（测试环境要在前面加上 http://yunbanktest.bankcomm.com/ncipp/pmss/cipp.jsp?qrCode= ）http://yunbanktest.bankcomm.com/tcipp/pmss/cipp.jsp?qrCode=
            /// </summary>
            public string display_code_text { get; set; }
        }
    }

}
