﻿using Com.Bocom.OpenApi;
using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.Bocom.OpenApi
{
    public class WriteOffResultResponseV2 : BocomResponse
    {
        /// <summary>
        /// 总记录数 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("pageableresponse_totalelements") private String pageableresponseTotalelements;
        //private string pageableresponseTotalelements;
        [Alias("pageableresponse_totalelements")]
        public string pageableresponseTotalelements { get; set; }

        /// <summary>
        /// 总页数 </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("pageableresponse_totalpages") private String pageableresponseTotalpages;
        //private string pageableresponseTotalpages;
        [Alias("pageableresponse_totalpages")]
        public string pageableresponseTotalpages { get; set; }

        /// <summary>
        /// "" </summary>
        //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
        //ORIGINAL LINE: @JsonProperty("write_off_record_list") private java.util.List<WriteOffRecord> writeOffRecordList;
        //private IList<WriteOffRecord> writeOffRecordList;
        [Alias("write_off_record_list")]
        public List<WriteOffRecord> writeOffRecordList { get; set; }

        public class WriteOffRecord
        {
            /// <summary>
            /// 核销编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_id") private String writeOffId;
            //internal string writeOffId;
            [Alias("write_off_id")]
            public string writeOffId { get; set; }

            /// <summary>
            /// 核销订单号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_ode_no") private String writeOffOdeNo;
            //internal string writeOffOdeNo;
            [Alias("write_off_ode_no")]
            public string writeOffOdeNo { get; set; }

            /// <summary>
            /// 核销订单流水编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_bill_jnl_id") private String writeOffBillJnlId;
            //internal string writeOffBillJnlId;
            [Alias("write_off_bill_jnl_id")]
            public string writeOffBillJnlId { get; set; }

            /// <summary>
            /// 账单流水类型
            /// 00-都已核销；
            /// 01订单已核销；
            /// 02-流水已核销
            /// </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("bill_jnl_typ") private String billJnlTyp;
            //internal string billJnlTyp;
            [Alias("bill_jnl_typ")]
            public string billJnlTyp { get; set; }

            /// <summary>
            /// 核销金额 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_amt") private String writeOffAmt;
            //internal string writeOffAmt;
            [Alias("write_off_amt")]
            public string writeOffAmt { get; set; }

            /// <summary>
            /// 核销状态
            /// 01-已核销；
            /// 02-核销待确认
            /// </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_state") private String writeOffState;
            //internal string writeOffState;
            [Alias("write_off_state")]
            public string writeOffState { get; set; }

            /// <summary>
            /// 核销方式
            /// 01-自动核销；
            /// 02-手动核销；
            /// 03-半自动核销；
            /// 04-补录核销
            /// </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_type") private String writeOffType;
            //internal string writeOffType;
            [Alias("write_off_type")]
            public string writeOffType { get; set; }

            /// <summary>
            /// 核销日期 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_dte") private String writeOffDte;
            //internal string writeOffDte;
            [Alias("write_off_dte")]
            public string writeOffDte { get; set; }

            /// <summary>
            /// 核销人员 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_staff") private String writeOffStaff;
            //internal string writeOffStaff;
            [Alias("write_off_staff")]
            public string writeOffStaff { get; set; }

            /// <summary>
            /// 核销编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_no") private String writeOffNo;
            //internal string writeOffNo;
            [Alias("write_off_no")]
            public string writeOffNo { get; set; }

            /// <summary>
            /// 核销种类
            /// 01-流水核销；
            /// 02-补录核销
            /// </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_kind") private String writeOffKind;
            //internal string writeOffKind;
            [Alias("write_off_kind")]
            public string writeOffKind { get; set; }

            /// <summary>
            /// 补录ID </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_addt_id") private String writeOffAddtId;
            //internal string writeOffAddtId;
            [Alias("write_off_addt_id")]
            public string writeOffAddtId { get; set; }

            /// <summary>
            /// "" </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("cont_order_detail_list") private java.util.List<ContOrderDetail> contOrderDetailList;
            //internal IList<ContOrderDetail> contOrderDetailList;
            [Alias("cont_order_detail_list")]
            public List<ContOrderDetail> contOrderDetailList { get; set; }

            public class ContOrderDetail
            {
                /// <summary>
                /// 账单编号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("bill_id") private String billId;
                //internal string billId;
                [Alias("bill_id")]
                public string billId { get; set; }

                /// <summary>
                /// 批次号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("bat_id") private String batId;
                //internal string batId;
                [Alias("bat_id")]
                public string batId { get; set; }

                /// <summary>
                /// 合同号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("cont_id") private String contId;
                //internal string contId;
                [Alias("cont_id")]
                public string contId { get; set; }

                /// <summary>
                /// 机构编号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("org_id") private String orgId;
                //internal string orgId;
                [Alias("org_id")]
                public string orgId { get; set; }

                /// <summary>
                /// 应付款人 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_payer") private String oriPayer;
                //internal string oriPayer;
                [Alias("ori_payer")]
                public string oriPayer { get; set; }

                /// <summary>
                /// 应付款人账号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_ac") private String oriAc;
                //internal string oriAc;
                [Alias("ori_ac")]
                public string oriAc { get; set; }

                /// <summary>
                /// 应付款人地址 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_addr") private String oriAddr;
                //internal string oriAddr;
                [Alias("ori_addr")]
                public string oriAddr { get; set; }

                /// <summary>
                /// 应付款人联系电话 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_tel_no") private String oriTelNo;
                //internal string oriTelNo;
                [Alias("ori_tel_no")]
                public string oriTelNo { get; set; }

                /// <summary>
                /// 应付款人其他信息1 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_other_info1") private String oriOtherInfo1;
                //internal string oriOtherInfo1;
                [Alias("ori_other_info1")]
                public string oriOtherInfo1 { get; set; }

                /// <summary>
                /// 应付款人其他信息2 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_other_info2") private String oriOtherInfo2;
                //internal string oriOtherInfo2;
                [Alias("ori_other_info2")]
                public string oriOtherInfo2 { get; set; }

                /// <summary>
                /// 应付款人其他信息3 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_other_info3") private String oriOtherInfo3;
                //internal string oriOtherInfo3;
                [Alias("ori_other_info3")]
                public string oriOtherInfo3 { get; set; }

                /// <summary>
                /// 费项名称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_itm_nme") private String oriItmNme;
                //internal string oriItmNme;
                [Alias("ori_itm_nme")]
                public string oriItmNme { get; set; }

                /// <summary>
                /// 费项类型 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_itm_type") private String oriItmType;
                //internal string oriItmType;
                [Alias("ori_itm_type")]
                public string oriItmType { get; set; }

                /// <summary>
                /// 应付金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_amt") private String oriAmt;
                //internal string oriAmt;
                [Alias("ori_amt")]
                public string oriAmt { get; set; }

                /// <summary>
                /// 减免金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_offset_amt") private String oriOffsetAmt;
                //internal string oriOffsetAmt;
                [Alias("ori_offset_amt")]
                public string oriOffsetAmt { get; set; }

                /// <summary>
                /// 实际应付金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ori_act_amt") private String oriActAmt;
                //internal string oriActAmt;
                [Alias("ori_act_amt")]
                public string oriActAmt { get; set; }

                /// <summary>
                /// 已付金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("paid_amt") private String paidAmt;
                //internal string paidAmt;
                [Alias("paid_amt")]
                public string paidAmt { get; set; }

                /// <summary>
                /// 附言码 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("attach_code") private String attachCode;
                [Alias("attach_code")]
                public string attachCode { get; set; }

                /// <summary>
                /// 补录方式
                /// 01-现金；
                /// 02-微信；
                /// 03-支付宝；
                /// 04-转账；
                /// 05-支票；
                /// 06-银承；
                /// 07-商承；
                /// 08-其他
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("addt_type") private String addtType;
                //internal string addtType;
                [Alias("addt_type")]
                public string addtType { get; set; }

                /// <summary>
                /// 补录金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("addt_amt") private String addtAmt;
                //internal string addtAmt;
                [Alias("addt_amt")]
                public string addtAmt { get; set; }

                /// <summary>
                /// 补录日期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("addt_dat") private String addtDat;
                //internal string addtDat;
                [Alias("addt_dat")]
                public string addtDat { get; set; }

                /// <summary>
                /// 补录人 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("addt_staff") private String addtStaff;
                //internal string addtStaff;
                [Alias("addt_staff")]
                public string addtStaff { get; set; }

                /// <summary>
                /// 创建日期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("cre_dte") private String creDte;
                //internal string creDte;
                [Alias("cre_dte")]
                public string creDte { get; set; }

                /// <summary>
                /// 创建人 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("cre_usr") private String creUsr;
                //internal string creUsr;
                [Alias("cre_usr")]
                public string creUsr { get; set; }

                /// <summary>
                /// 备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("remark") private String remark;
                //internal string remark;
                [Alias("remark")]
                public string remark { get; set; }

                /// <summary>
                /// 减免金额备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("offset_remark") private String offsetRemark;
                //internal string offsetRemark;
                [Alias("offset_remark")]
                public string offsetRemark { get; set; }

                /// <summary>
                /// 部门名称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("dept") private String dept;
                //internal string dept;
                [Alias("dept")]
                public string dept { get; set; }

                /// <summary>
                /// 核销状态
                /// 01-已核销；
                /// 02-核销待确认
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("write_off_state") private String writeOffState;
                //internal string writeOffState;
                [Alias("write_off_state")]
                public string writeOffState { get; set; }

                /// <summary>
                /// 核销方式
                /// 01-自动核销；
                /// 02-手动核销；
                /// 03-半自动核销；
                /// 04-补录核销
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("write_off_type") private String writeOffType;
                //internal string writeOffType;
                [Alias("write_off_type")]
                public string writeOffType { get; set; }

                /// <summary>
                /// 核销日期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("write_off_dte") private String writeOffDte;
                //internal string writeOffDte;
                [Alias("write_off_dte")]
                public string writeOffDte { get; set; }

                /// <summary>
                /// 核销金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("write_off_amt") private String writeOffAmt;
                //internal string writeOffAmt;
                [Alias("write_off_amt")]
                public string writeOffAmt { get; set; }

                /// <summary>
                /// 账期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("payment_period") private String paymentPeriod;
                //internal string paymentPeriod;
                [Alias("payment_period")]
                public string paymentPeriod { get; set; }

                /// <summary>
                /// 核销提醒手机号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("phone_num") private String phoneNum;
                //internal string phoneNum;
                [Alias("phone_num")]
                public string phoneNum { get; set; }

                /// <summary>
                /// 框架性协议类型
                /// -1: 非框架性协议；
                /// 1:  非足额自动部分核销协议
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("agreement_type") private String agreementType;
                //internal string agreementType;
                [Alias("agreement_type")]
                public string agreementType { get; set; }

                /// <summary>
                /// 账单核销状态
                /// 01-未核销；
                /// 02-部分核销；
                /// 03-全额核销；
                /// 04-失效
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("bill_wo_state") private String billWoState;
                //internal string billWoState;
                [Alias("bill_wo_state")]
                public string billWoState { get; set; }

                /// <summary>
                /// 操作结果
                /// F-失败；
                /// S-成功
                /// </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("opr_result") private String oprResult;
                //internal string oprResult;
                [Alias("opr_result")]
                public string oprResult { get; set; }

                /// <summary>
                /// 失败原因 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("fail_reason") private String failReason;
                //internal string failReason;
                [Alias("fail_reason")]
                public string failReason { get; set; }


            } //* ""
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("pay_detail_list") private java.util.List<PayDetail> payDetailList;
              //internal IList<PayDetail> payDetailList;
            [Alias("pay_detail_list")]
            public List<PayDetail> payDetailList { get; set; }

            public class PayDetail
            {
                /// <summary>
                /// 客户账号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("cus_ac") private String cusAc;
                //internal string cusAc;
                [Alias("cus_ac")]
                public string cusAc { get; set; }

                /// <summary>
                /// 账户名称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ac_nme") private String acNme;
                //internal string acNme;
                [Alias("ac_nme")]
                public string acNme { get; set; }

                /// <summary>
                /// 会计日期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ac_dte") private String acDte;
                //internal string acDte;
                [Alias("ac_dte")]
                public string acDte { get; set; }

                /// <summary>
                /// 交易时间 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("tr_time") private String trTime;
                //internal string trTime;
                [Alias("tr_time")]
                public string trTime { get; set; }

                /// <summary>
                /// 交易码 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("tr_code") private String trCode;
                //internal string trCode;
                [Alias("tr_code")]
                public string trCode
                { get; set; }

                /// <summary>
                /// 交易金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("txn_amt") private String txnAmt;
                //internal string txnAmt;
                [Alias("txn_amt")]
                public string txnAmt
                { get; set; }

                /// <summary>
                /// 币种 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("ccy") private String ccy;
                //internal string ccy;
                [Alias("ccy")]
                public string ccy
                { get; set; }

                /// <summary>
                /// 借贷标志 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("dc_flg") private String dcFlg;
                //internal string dcFlg;
                [Alias("dc_flg")]
                public string dcFlg
                { get; set; }

                /// <summary>
                /// 对方户名 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("opp_ac_nme") private String oppAcNme;
                //internal string oppAcNme;
                [Alias("opp_ac_nme")]
                public string oppAcNme
                { get; set; }

                /// <summary>
                /// 会计传票号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("vch_no") private String vchNo;
                //internal string vchNo;
                [Alias("vch_no")]
                public string vchNo
                { get; set; }

                /// <summary>
                /// 业务摘要码 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("rmk_cde") private String rmkCde;
                //internal string rmkCde;
                [Alias("rmk_cde")]
                public string rmkCde
                { get; set; }

                /// <summary>
                /// 传票业务摘要区 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("vch_bus_rmk") private String vchBusRmk;
                //internal string vchBusRmk;
                [Alias("vch_bus_rmk")]
                public string vchBusRmk
                { get; set; }

            }

        }
    }

    public class WriteOffBizContentObj
    {
        public string biz_content { get; set; }
        public string msg_id { get; set; }
        public string timestamp { get; set; }
        public string encrypt_key { get; set; }
    }

    [Alias("BCOM_WriteOffResultNotifys")]
    public class WriteOffResultNotify:EntityWithMetadata
    {
        public string BillId { get; set; }

        [DefaultEmptyGuid]
        public Guid BizKvid { get; set; }

        [ApiMember(Description = "业务流水号")]
        [StringLength(200)]
        public string BizId { get; set; }

        [ApiMember(Description = "业务类型")]
        [StringLength(100)]
        public string BizType { get; set; }

        public WriteOffBizContent biz_content { get; set; }
        [StringLength(2000)]
        public string encrypt_key { get; set; }
        [StringLength(2000)]
        public string msg_id { get; set; }
        [StringLength(2000)]
        public string timestamp { get; set; }
        [StringLength(2000)]
        public string sign { get; set; }

        //public Dictionary<string, string> Metadata { get; set; }
    }

    public class WriteOffBizContent
    {
        /// <summary>
        /// appid@http://notify.com
        /// </summary>
        public string communication_url { get; set; }

        /// <summary>
        /// 机构编号
        /// </summary>
        public string org_id { get; set; }

        /// <summary>
        /// 账单编号
        /// </summary>
        public string bill_id { get; set; }

        /// <summary>
        /// 应付款人
        /// </summary>
        public string ori_payer { get; set; }

        /// <summary>
        /// 实际应付金额
        /// </summary>
        public string ori_act_amt { get; set; }

        /// <summary>
        /// 此次账单核销总金额
        /// </summary>
        public string bill_write_off_amt { get; set; }

        /// <summary>
        /// 合同号
        /// </summary>
        public string cont_id { get; set; }

        /// <summary>
        /// 费项名称
        /// </summary>
        public string ori_itm_nme { get; set; }

        /// <summary>
        /// 账期
        /// </summary>
        public string payment_period { get; set; }

        /// <summary>
        /// 账单已核销金额
        /// </summary>
        public string write_off_amt { get; set; }

        /// <summary>
        /// 账单核销状态 01-未核销； 02-部分核销； 03-全额核销； 04-失效
        /// </summary>
        public string bill_wo_state { get; set; }

        /// <summary>
        /// 核销编号
        /// </summary>
        public string write_off_no { get; set; }


        /// <summary>
        /// 核销日期
        /// </summary>
        public string write_off_dte { get; set; }


        /// <summary>
        /// 核销状态 01-已核销；02-核销待确认
        /// </summary>
        public string write_off_state { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        public string remark { get; set; }


        /// <summary>
        /// 流水列表
        /// </summary>
        public List<PayDetail> pay_detail_list { get; set; }
    }

    public class PayDetail
    {
        /// <summary>
        /// 会计传票号
        /// </summary>
        public string vch_no { get; set; }


        /// <summary>
        /// 对方户名
        /// </summary>
        public string opp_ac_nme { get; set; }


        /// <summary>
        /// 交易金额
        /// </summary>
        public string txn_amt { get; set; }


        /// <summary>
        /// 交易时间
        /// </summary>
        public string tr_time { get; set; }

        /// <summary>
        /// 交易渠道
        /// </summary>
        public string chnl { get; set; }


        /// <summary>
        /// 流水核销金额
        /// </summary>
        public string jnl_write_off_amt { get; set; }


        /// <summary>
        /// 流水已核销金额
        /// </summary>
        public string write_off_amt { get; set; }

        /// <summary>
        /// 流水核销状态 01-未核销； 02-部分核销； 03-全额核销； 04-失效
        /// </summary>
        public string jnl_wo_state { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string remark { get; set; }
    }
}
