﻿using Kivii.DataAnnotations;

namespace Com.Bocom.OpenApi
{
    public class QueryContractOrderResponseV2 : BocomResponse
    {
        /// <summary>
        /// 账单编号 </summary>
        public string contorderdetaillist_billid { get; set; }

        /// <summary>
        /// 批次号 </summary>
        public string contorderdetaillist_batid { get; set; }

        /// <summary>
        /// 合同号 </summary>
        public string contorderdetaillist_contid { get; set; }

        /// <summary>
        /// 机构编号 </summary>
        public string contorderdetaillist_orgid { get; set; }

        /// <summary>
        /// 应付款人 </summary>
        public string contorderdetaillist_oripayer { get; set; }

        /// <summary>
        /// 应付款人账号 </summary>
        public string contorderdetaillist_oriac { get; set; }

        /// <summary>
        /// 应付款人地址 </summary>
        public string contorderdetaillist_oriaddr { get; set; }

        /// <summary>
        /// 应付款人联系电话 </summary>
        public string contorderdetaillist_oritelno { get; set; }

        /// <summary>
        /// 应付款人其他信息1 </summary>
        public string contorderdetaillist_oriotherinfo1 { get; set; }

        /// <summary>
        /// 应付款人其他信息2 </summary>
        public string contorderdetaillist_oriotherinfo2 { get; set; }

        /// <summary>
        /// 应付款人其他信息3 </summary>
        public string contorderdetaillist_oriotherinfo3 { get; set; }

        /// <summary>
        /// 费项名称 </summary>
        public string contorderdetaillist_oriitmnme { get; set; }

        /// <summary>
        /// 费项类型 </summary>
        public string contorderdetaillist_oriitmtype { get; set; }

        /// <summary>
        /// 应付金额 </summary>
        public string contorderdetaillist_oriamt { get; set; }

        /// <summary>
        /// 减免金额 </summary>
        public string contorderdetaillist_orioffsetamt { get; set; }

        /// <summary>
        /// 实际应付金额 </summary>
        public string contorderdetaillist_oriactamt { get; set; }

        /// <summary>
        /// 已付金额 </summary>
        public string contorderdetaillist_paidamt { get; set; }

        /// <summary>
        /// 附言码 </summary>
        public string contorderdetaillist_attachcode { get; set; }

        /// <summary>
        /// 补录方式
        /// 01-现金；
        /// 02-微信；
        /// 03-支付宝；
        /// 04-转账；
        /// 05-支票；
        /// 06-银承；
        /// 07-商承；
        /// 08-其他
        /// </summary>
        public string contorderdetaillist_addttype { get; set; }

        /// <summary>
        /// 补录金额 </summary>
        public string contorderdetaillist_addtamt { get; set; }

        /// <summary>
        /// 补录日期 </summary>
        public string contorderdetaillist_addtdat { get; set; }

        /// <summary>
        /// 补录人 </summary>
        public string contorderdetaillist_addtstaff { get; set; }

        /// <summary>
        /// 创建日期 </summary>
        public string contorderdetaillist_credte { get; set; }

        /// <summary>
        /// 创建人 </summary>
        public string contorderdetaillist_creusr { get; set; }

        /// <summary>
        /// 备注 </summary>
        public string contorderdetaillist_remark { get; set; }

        /// <summary>
        /// 减免金额备注 </summary>
        public string contorderdetaillist_offsetremark { get; set; }

        /// <summary>
        /// 部门名称 </summary>
        public string contorderdetaillist_dept { get; set; }

        /// <summary>
        /// 核销状态
        /// 01-已核销；
        /// 02-核销待确认
        /// </summary>
        public string contorderdetaillist_writeoffstate { get; set; }

        /// <summary>
        /// 核销方式
        /// 01-现金；
        /// 02-微信；
        /// 03-支付宝；
        /// 04-转账；
        /// 05-支票；
        /// 06-银承；
        /// 07-商承；
        /// 08-其他
        /// </summary>
        public string contorderdetaillist_writeofftype { get; set; }

        /// <summary>
        /// 核销日期 </summary>
        public string contorderdetaillist_writeoffdte { get; set; }

        /// <summary>
        /// 核销金额 </summary>
        public string contorderdetaillist_writeoffamt { get; set; }

        /// <summary>
        /// 账期 </summary>
        public string contorderdetaillist_paymentperiod { get; set; }

        /// <summary>
        /// 核销提醒手机号
        /// </summary>
        public string contorderdetaillist_phonenum { get; set; }

        /// <summary>
        /// 框架性协议类型
        /// -1: 非框架性协议；
        /// 1:  非足额自动部分核销协议
        /// </summary>
        public string contorderdetaillist_agreementtype { get; set; }

        /// <summary>
        /// 账单核销状态
        /// 01-未核销；
        /// 02-部分核销；
        /// 03-全额核销；
        /// 04-失效
        /// </summary>
        public string contorderdetaillist_billwostate { get; set; }

        /// <summary>
        /// 操作结果
        /// F-失败；
        /// S-成功
        /// </summary>
        public string contorderdetaillist_oprresult { get; set; }

        /// <summary>
        /// 失败原因 </summary>
        public string contorderdetaillist_failreason { get; set; }
    }
}

