﻿namespace Com.Bocom.OpenApi
{
    namespace Utils
    {
        public class BocomConstants
        {
            public static string APP_ID = "app_id";

            public static string ENCRYPT_TYPE_SM2_AND_SM4 = "SM2_AND_SM4";

            public static string ENCRYPT_TYPE_RSA_AND_AES = "RSA_AND_AES";

            public static string FORMAT = "format";

            public static string TIMESTAMP = "timestamp";

            public static string SIGN = "sign";

            public static string APP_AUTH_TOKEN = "app_auth_token";

            public static string CHARSET = "charset";

            public static string NOTIFY_URL = "notify_url";

            public static string RETURN_URL = "return_url";

            public static string ENCRYPT_TYPE = "encrypt_type";

            public static string IS_ENCRYPT = "is_encrypt";

            // -----===-------///

            public static string BIZ_CONTENT_KEY = "biz_content";

            /** 默认时间格式 **/
            public static string DATE_TIME_FORMAT = "yyyy-MM-dd HH:mm:ss";

            /** Date默认时区 **/
            public static string DATE_TIMEZONE = "GMT+8";

            /** UTF-8字符集 **/
            public static string CHARSET_UTF8 = "UTF-8";

            /** GBK字符集 **/
            public static string CHARSET_GBK = "GBK";

            public static string FMT_TYPE = "fmt_type";

            /** JSON 应格式 */
            public static string FORMAT_JSON = "json";

            /** XML 应格式 */
            public static string FORMAT_XML = "xml";

            public static string PASSWORD = "password";

            public static string RESPONSE_BIZ_CONTENT = "rsp_biz_content";

            /** 消息唯一编号 **/
            public static string MSG_ID = "msg_id";

            /** sdk版本号在header中的key */
            public static string VERSION_HEADER_NAME = "APIGW-VERSION";

            /**
             * 通知域
             */
            public static string NOTIFY_BIZ_CONTENT = "notify_biz_content";

            /// <summary>
            /// 字段加密。
            /// </summary>
            public static string ENCRYPT_POLICY_TYPE_FIELD = "FIELD";

            /// <summary>
            /// 全报文加密。
            /// </summary>
            public static string ENCRYPT_POLICY_TYPE_CONTENT = "CONTENT";

            /// <summary>
            /// 文件加密。
            /// </summary>
            public static string ENCRYPT_POLICY_TYPE_FILE = "FILE";

            public static string ENCRYPT_POLICY = "encrypt_policy";

            public static string BIZ_CONTENT = "biz_content";

            public static string ENCRYPT_KEY = "encrypt_key";

            public static string FILE_HASHCODE = "file_hashcode";

            public static string FILE_CONTENT = "file_content";
        }
    }
}